import { ref, computed } from 'vue'
import { defineStore } from 'pinia'

export const useAuthStore = defineStore('auth', () => {
  const token = ref('82377')
  //  469114
  const setToken = (newToken) => {
    token.value = newToken
  }

  const clearToken = () =>{
    token.value = null
  }

  const isAuthorized = computed(() => token.value)

  return { token, setToken, clearToken, isAuthorized}
})